ranges::views::transform_fn Struct Reference
Inheritance diagram for ranges::views::transform_fn:

## Synopsis of methods

constexpr transform_fn | transform {}

## Public Member Functions

template<typename Fun >
constexpr auto | operator() (Fun fun) const
Public Member Functions inherited from ranges::views::transform_base_fn
template<typename Rng , typename Fun >
constexpr auto | operator() (Rng &&rng, Fun fun) const -> transform_view< all_t< Rng >, Fun > requires transformable_range< Rng, Fun >
template<typename Rng1 , typename Rng2 , typename Fun >
constexpr auto | operator() (Rng1 &&rng1, Rng2 &&rng2, Fun fun) const -> transform2_view< all_t< Rng1 >, all_t< Rng2 >, Fun > requires transformable_ranges< Rng1, Rng2, Fun >